ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.83 by root, Sat Jan 21 18:34:25 2006 UTC vs.
Revision 1.89 by root, Sun Jan 22 04:09:16 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA EGREP LINKER INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TIC CXXCPP X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA EGREP LINKER INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TIC CXXCPP X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PKG_CONFIG XFT_CONFIG PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='' 313ac_subst_files=''
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
3221if test "$ac_cv_search_strerror" != no; then 3221if test "$ac_cv_search_strerror" != no; then
3222 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS" 3222 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS"
3223 3223
3224fi 3224fi
3225 3225
3226
3227ac_ext=c
3228ac_cpp='$CPP $CPPFLAGS'
3229ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3230ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3231ac_compiler_gnu=$ac_cv_c_compiler_gnu
3232
3233
3234LINKER="$CXX"
3235if test x$GCC = xyes && test x$GXX = xyes; then
3236 echo "$as_me:$LINENO: checking for main in -lsupc++" >&5
3237echo $ECHO_N "checking for main in -lsupc++... $ECHO_C" >&6
3238if test "${ac_cv_lib_supcpp_main+set}" = set; then
3239 echo $ECHO_N "(cached) $ECHO_C" >&6
3240else
3241 ac_check_lib_save_LIBS=$LIBS
3242LIBS="-lsupc++ $LIBS"
3243cat >conftest.$ac_ext <<_ACEOF
3244/* confdefs.h. */
3245_ACEOF
3246cat confdefs.h >>conftest.$ac_ext
3247cat >>conftest.$ac_ext <<_ACEOF
3248/* end confdefs.h. */
3249
3250
3251int
3252main ()
3253{
3254main ();
3255 ;
3256 return 0;
3257}
3258_ACEOF
3259rm -f conftest.$ac_objext conftest$ac_exeext
3260if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3261 (eval $ac_link) 2>conftest.er1
3262 ac_status=$?
3263 grep -v '^ *+' conftest.er1 >conftest.err
3264 rm -f conftest.er1
3265 cat conftest.err >&5
3266 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3267 (exit $ac_status); } &&
3268 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
3269 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3270 (eval $ac_try) 2>&5
3271 ac_status=$?
3272 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3273 (exit $ac_status); }; } &&
3274 { ac_try='test -s conftest$ac_exeext'
3275 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3276 (eval $ac_try) 2>&5
3277 ac_status=$?
3278 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3279 (exit $ac_status); }; }; then
3280 ac_cv_lib_supcpp_main=yes
3281else
3282 echo "$as_me: failed program was:" >&5
3283sed 's/^/| /' conftest.$ac_ext >&5
3284
3285ac_cv_lib_supcpp_main=no
3286fi
3287rm -f conftest.err conftest.$ac_objext \
3288 conftest$ac_exeext conftest.$ac_ext
3289LIBS=$ac_check_lib_save_LIBS
3290fi
3291echo "$as_me:$LINENO: result: $ac_cv_lib_supcpp_main" >&5
3292echo "${ECHO_T}$ac_cv_lib_supcpp_main" >&6
3293if test $ac_cv_lib_supcpp_main = yes; then
3294
3295 LINKER="$CC"
3296 LIBS="$LIBS -lsupc++"
3297
3298fi
3299
3300fi
3301LINKER=$LINKER
3302
3303
3304ac_ext=cc 3226ac_ext=cc
3305ac_cpp='$CXXCPP $CPPFLAGS' 3227ac_cpp='$CXXCPP $CPPFLAGS'
3306ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' 3228ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3307ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 3229ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3308ac_compiler_gnu=$ac_cv_cxx_compiler_gnu 3230ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3309 3231
3232
3233if test x$GCC = xyes && test x$GXX = xyes; then
3234 echo "$as_me:$LINENO: checking for working libsupc++" >&5
3235echo $ECHO_N "checking for working libsupc++... $ECHO_C" >&6
3236 save_CXX="$CXX"
3237 save_LIBS="$LIBS"
3238 CXX="$CC"
3239 LIBS="$LIBS -lsupc++"
3240 LINKER="$CC"
3241
3242cat >conftest.$ac_ext <<_ACEOF
3243/* confdefs.h. */
3244_ACEOF
3245cat confdefs.h >>conftest.$ac_ext
3246cat >>conftest.$ac_ext <<_ACEOF
3247/* end confdefs.h. */
3248struct test { }; void f() try { throw new test; } catch (...) { throw; }
3249int
3250main ()
3251{
3252
3253 ;
3254 return 0;
3255}
3256_ACEOF
3257rm -f conftest.$ac_objext conftest$ac_exeext
3258if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3259 (eval $ac_link) 2>conftest.er1
3260 ac_status=$?
3261 grep -v '^ *+' conftest.er1 >conftest.err
3262 rm -f conftest.er1
3263 cat conftest.err >&5
3264 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3265 (exit $ac_status); } &&
3266 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3267 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3268 (eval $ac_try) 2>&5
3269 ac_status=$?
3270 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3271 (exit $ac_status); }; } &&
3272 { ac_try='test -s conftest$ac_exeext'
3273 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3274 (eval $ac_try) 2>&5
3275 ac_status=$?
3276 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3277 (exit $ac_status); }; }; then
3278 echo "$as_me:$LINENO: result: ok" >&5
3279echo "${ECHO_T}ok" >&6
3280else
3281 echo "$as_me: failed program was:" >&5
3282sed 's/^/| /' conftest.$ac_ext >&5
3283
3284
3285 echo "$as_me:$LINENO: result: no, making everything bigger and slower" >&5
3286echo "${ECHO_T}no, making everything bigger and slower" >&6
3287 LIBS="$save_LIBS"
3288 LINKER="$save_CXX"
3289
3290
3291fi
3292rm -f conftest.err conftest.$ac_objext \
3293 conftest$ac_exeext conftest.$ac_ext
3294 CXX="$save_CXX"
3295fi
3296LINKER=$LINKER
3297
3298
3299ac_ext=cc
3300ac_cpp='$CXXCPP $CPPFLAGS'
3301ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3302ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3303ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3304
3310if test -z "$orig_CXXFLAGS"; then 3305if test -z "$orig_CXXFLAGS"; then
3311 if test x$GCC = xyes && test "x$GXX" = xyes; then 3306 if test x$GCC = xyes && test "x$GXX" = xyes; then
3312 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs" 3307 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs"
3313
3314cat >conftest.$ac_ext <<_ACEOF 3308 cat >conftest.$ac_ext <<_ACEOF
3315/* confdefs.h. */ 3309/* confdefs.h. */
3316_ACEOF 3310_ACEOF
3317cat confdefs.h >>conftest.$ac_ext 3311cat confdefs.h >>conftest.$ac_ext
3318cat >>conftest.$ac_ext <<_ACEOF 3312cat >>conftest.$ac_ext <<_ACEOF
3319/* end confdefs.h. */ 3313/* end confdefs.h. */
10592 10586
10593fi 10587fi
10594if test $ac_cv_header_utmp_h = yes; then 10588if test $ac_cv_header_utmp_h = yes; then
10595 echo "$as_me:$LINENO: checking for struct utmp" >&5 10589 echo "$as_me:$LINENO: checking for struct utmp" >&5
10596echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6 10590echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6
10597if test "${rxvt_cv_struct_utmp+set}" = set; then 10591if test "${struct_utmp+set}" = set; then
10598 echo $ECHO_N "(cached) $ECHO_C" >&6 10592 echo $ECHO_N "(cached) $ECHO_C" >&6
10599else 10593else
10600 cat >conftest.$ac_ext <<_ACEOF 10594 cat >conftest.$ac_ext <<_ACEOF
10601/* confdefs.h. */ 10595/* confdefs.h. */
10602_ACEOF 10596_ACEOF
10632 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10626 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10633 (eval $ac_try) 2>&5 10627 (eval $ac_try) 2>&5
10634 ac_status=$? 10628 ac_status=$?
10635 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10629 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10636 (exit $ac_status); }; }; then 10630 (exit $ac_status); }; }; then
10637 rxvt_cv_struct_utmp=yes 10631 struct_utmp=yes
10638else 10632else
10639 echo "$as_me: failed program was:" >&5 10633 echo "$as_me: failed program was:" >&5
10640sed 's/^/| /' conftest.$ac_ext >&5 10634sed 's/^/| /' conftest.$ac_ext >&5
10641 10635
10642rxvt_cv_struct_utmp=no 10636struct_utmp=no
10643fi 10637fi
10644rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10638rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10645fi 10639fi
10646echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp" >&5 10640echo "$as_me:$LINENO: result: $struct_utmp" >&5
10647echo "${ECHO_T}$rxvt_cv_struct_utmp" >&6 10641echo "${ECHO_T}$struct_utmp" >&6
10648if test x$rxvt_cv_struct_utmp = xyes; then 10642if test x$struct_utmp = xyes; then
10649 10643
10650cat >>confdefs.h <<\_ACEOF 10644cat >>confdefs.h <<\_ACEOF
10651#define HAVE_STRUCT_UTMP 1 10645#define HAVE_STRUCT_UTMP 1
10652_ACEOF 10646_ACEOF
10653 10647
10654fi 10648fi
10655 10649
10656 10650
10657echo "$as_me:$LINENO: checking for ut_host in utmp struct" >&5 10651echo "$as_me:$LINENO: checking for ut_host in utmp struct" >&5
10658echo $ECHO_N "checking for ut_host in utmp struct... $ECHO_C" >&6 10652echo $ECHO_N "checking for ut_host in utmp struct... $ECHO_C" >&6
10659if test "${rxvt_cv_struct_utmp_host+set}" = set; then 10653if test "${struct_utmp_host+set}" = set; then
10660 echo $ECHO_N "(cached) $ECHO_C" >&6 10654 echo $ECHO_N "(cached) $ECHO_C" >&6
10661else 10655else
10662 cat >conftest.$ac_ext <<_ACEOF 10656 cat >conftest.$ac_ext <<_ACEOF
10663/* confdefs.h. */ 10657/* confdefs.h. */
10664_ACEOF 10658_ACEOF
10694 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10688 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10695 (eval $ac_try) 2>&5 10689 (eval $ac_try) 2>&5
10696 ac_status=$? 10690 ac_status=$?
10697 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10691 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10698 (exit $ac_status); }; }; then 10692 (exit $ac_status); }; }; then
10699 rxvt_cv_struct_utmp_host=yes 10693 struct_utmp_host=yes
10700else 10694else
10701 echo "$as_me: failed program was:" >&5 10695 echo "$as_me: failed program was:" >&5
10702sed 's/^/| /' conftest.$ac_ext >&5 10696sed 's/^/| /' conftest.$ac_ext >&5
10703 10697
10704rxvt_cv_struct_utmp_host=no 10698struct_utmp_host=no
10705fi 10699fi
10706rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10700rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10707fi 10701fi
10708echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp_host" >&5 10702echo "$as_me:$LINENO: result: $struct_utmp_host" >&5
10709echo "${ECHO_T}$rxvt_cv_struct_utmp_host" >&6 10703echo "${ECHO_T}$struct_utmp_host" >&6
10710if test x$rxvt_cv_struct_utmp_host = xyes; then 10704if test x$struct_utmp_host = xyes; then
10711 10705
10712cat >>confdefs.h <<\_ACEOF 10706cat >>confdefs.h <<\_ACEOF
10713#define HAVE_UTMP_HOST 1 10707#define HAVE_UTMP_HOST 1
10714_ACEOF 10708_ACEOF
10715 10709
10716fi 10710fi
10717 10711
10718echo "$as_me:$LINENO: checking for ut_pid in utmp struct" >&5 10712echo "$as_me:$LINENO: checking for ut_pid in utmp struct" >&5
10719echo $ECHO_N "checking for ut_pid in utmp struct... $ECHO_C" >&6 10713echo $ECHO_N "checking for ut_pid in utmp struct... $ECHO_C" >&6
10720if test "${rxvt_cv_struct_utmp_pid+set}" = set; then 10714if test "${struct_utmp_pid+set}" = set; then
10721 echo $ECHO_N "(cached) $ECHO_C" >&6 10715 echo $ECHO_N "(cached) $ECHO_C" >&6
10722else 10716else
10723 cat >conftest.$ac_ext <<_ACEOF 10717 cat >conftest.$ac_ext <<_ACEOF
10724/* confdefs.h. */ 10718/* confdefs.h. */
10725_ACEOF 10719_ACEOF
10755 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10749 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10756 (eval $ac_try) 2>&5 10750 (eval $ac_try) 2>&5
10757 ac_status=$? 10751 ac_status=$?
10758 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10752 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10759 (exit $ac_status); }; }; then 10753 (exit $ac_status); }; }; then
10760 rxvt_cv_struct_utmp_pid=yes 10754 struct_utmp_pid=yes
10761else 10755else
10762 echo "$as_me: failed program was:" >&5 10756 echo "$as_me: failed program was:" >&5
10763sed 's/^/| /' conftest.$ac_ext >&5 10757sed 's/^/| /' conftest.$ac_ext >&5
10764 10758
10765rxvt_cv_struct_utmp_pid=no 10759struct_utmp_pid=no
10766fi 10760fi
10767rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10761rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10768fi 10762fi
10769echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp_pid" >&5 10763echo "$as_me:$LINENO: result: $struct_utmp_pid" >&5
10770echo "${ECHO_T}$rxvt_cv_struct_utmp_pid" >&6 10764echo "${ECHO_T}$struct_utmp_pid" >&6
10771if test x$rxvt_cv_struct_utmp_pid = xyes; then 10765if test x$struct_utmp_pid = xyes; then
10772 10766
10773cat >>confdefs.h <<\_ACEOF 10767cat >>confdefs.h <<\_ACEOF
10774#define HAVE_UTMP_PID 1 10768#define HAVE_UTMP_PID 1
10775_ACEOF 10769_ACEOF
10776 10770
10917 10911
10918fi 10912fi
10919if test $ac_cv_header_utmpx_h = yes; then 10913if test $ac_cv_header_utmpx_h = yes; then
10920 echo "$as_me:$LINENO: checking for struct utmpx" >&5 10914 echo "$as_me:$LINENO: checking for struct utmpx" >&5
10921echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6 10915echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6
10922if test "${rxvt_cv_struct_utmpx+set}" = set; then 10916if test "${struct_utmpx+set}" = set; then
10923 echo $ECHO_N "(cached) $ECHO_C" >&6 10917 echo $ECHO_N "(cached) $ECHO_C" >&6
10924else 10918else
10925 cat >conftest.$ac_ext <<_ACEOF 10919 cat >conftest.$ac_ext <<_ACEOF
10926/* confdefs.h. */ 10920/* confdefs.h. */
10927_ACEOF 10921_ACEOF
10957 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10951 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10958 (eval $ac_try) 2>&5 10952 (eval $ac_try) 2>&5
10959 ac_status=$? 10953 ac_status=$?
10960 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10954 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10961 (exit $ac_status); }; }; then 10955 (exit $ac_status); }; }; then
10962 rxvt_cv_struct_utmpx=yes 10956 struct_utmpx=yes
10963else 10957else
10964 echo "$as_me: failed program was:" >&5 10958 echo "$as_me: failed program was:" >&5
10965sed 's/^/| /' conftest.$ac_ext >&5 10959sed 's/^/| /' conftest.$ac_ext >&5
10966 10960
10967rxvt_cv_struct_utmpx=no 10961struct_utmpx=no
10968fi 10962fi
10969rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10963rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10970fi 10964fi
10971echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx" >&5 10965echo "$as_me:$LINENO: result: $struct_utmpx" >&5
10972echo "${ECHO_T}$rxvt_cv_struct_utmpx" >&6 10966echo "${ECHO_T}$struct_utmpx" >&6
10973if test x$rxvt_cv_struct_utmpx = xyes; then 10967if test x$struct_utmpx = xyes; then
10974 10968
10975cat >>confdefs.h <<\_ACEOF 10969cat >>confdefs.h <<\_ACEOF
10976#define HAVE_STRUCT_UTMPX 1 10970#define HAVE_STRUCT_UTMPX 1
10977_ACEOF 10971_ACEOF
10978 10972
10979fi 10973fi
10980 10974
10981 10975
10982echo "$as_me:$LINENO: checking for host in utmpx struct" >&5 10976echo "$as_me:$LINENO: checking for host in utmpx struct" >&5
10983echo $ECHO_N "checking for host in utmpx struct... $ECHO_C" >&6 10977echo $ECHO_N "checking for host in utmpx struct... $ECHO_C" >&6
10984if test "${rxvt_cv_struct_utmpx_host+set}" = set; then 10978if test "${struct_utmpx_host+set}" = set; then
10985 echo $ECHO_N "(cached) $ECHO_C" >&6 10979 echo $ECHO_N "(cached) $ECHO_C" >&6
10986else 10980else
10987 cat >conftest.$ac_ext <<_ACEOF 10981 cat >conftest.$ac_ext <<_ACEOF
10988/* confdefs.h. */ 10982/* confdefs.h. */
10989_ACEOF 10983_ACEOF
11019 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11013 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11020 (eval $ac_try) 2>&5 11014 (eval $ac_try) 2>&5
11021 ac_status=$? 11015 ac_status=$?
11022 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11016 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11023 (exit $ac_status); }; }; then 11017 (exit $ac_status); }; }; then
11024 rxvt_cv_struct_utmpx_host=yes 11018 struct_utmpx_host=yes
11025else 11019else
11026 echo "$as_me: failed program was:" >&5 11020 echo "$as_me: failed program was:" >&5
11027sed 's/^/| /' conftest.$ac_ext >&5 11021sed 's/^/| /' conftest.$ac_ext >&5
11028 11022
11029rxvt_cv_struct_utmpx_host=no 11023struct_utmpx_host=no
11030fi 11024fi
11031rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11025rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11032fi 11026fi
11033echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx_host" >&5 11027echo "$as_me:$LINENO: result: $struct_utmpx_host" >&5
11034echo "${ECHO_T}$rxvt_cv_struct_utmpx_host" >&6 11028echo "${ECHO_T}$struct_utmpx_host" >&6
11035if test x$rxvt_cv_struct_utmpx_host = xyes; then 11029if test x$struct_utmpx_host = xyes; then
11036 11030
11037cat >>confdefs.h <<\_ACEOF 11031cat >>confdefs.h <<\_ACEOF
11038#define HAVE_UTMPX_HOST 1 11032#define HAVE_UTMPX_HOST 1
11039_ACEOF 11033_ACEOF
11040 11034
11041fi 11035fi
11042 11036
11043echo "$as_me:$LINENO: checking for session in utmpx struct" >&5 11037echo "$as_me:$LINENO: checking for session in utmpx struct" >&5
11044echo $ECHO_N "checking for session in utmpx struct... $ECHO_C" >&6 11038echo $ECHO_N "checking for session in utmpx struct... $ECHO_C" >&6
11045if test "${rxvt_cv_struct_utmpx_session+set}" = set; then 11039if test "${struct_utmpx_session+set}" = set; then
11046 echo $ECHO_N "(cached) $ECHO_C" >&6 11040 echo $ECHO_N "(cached) $ECHO_C" >&6
11047else 11041else
11048 cat >conftest.$ac_ext <<_ACEOF 11042 cat >conftest.$ac_ext <<_ACEOF
11049/* confdefs.h. */ 11043/* confdefs.h. */
11050_ACEOF 11044_ACEOF
11080 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11074 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11081 (eval $ac_try) 2>&5 11075 (eval $ac_try) 2>&5
11082 ac_status=$? 11076 ac_status=$?
11083 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11077 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11084 (exit $ac_status); }; }; then 11078 (exit $ac_status); }; }; then
11085 rxvt_cv_struct_utmpx_session=yes 11079 struct_utmpx_session=yes
11086else 11080else
11087 echo "$as_me: failed program was:" >&5 11081 echo "$as_me: failed program was:" >&5
11088sed 's/^/| /' conftest.$ac_ext >&5 11082sed 's/^/| /' conftest.$ac_ext >&5
11089 11083
11090rxvt_cv_struct_utmpx_session=no 11084struct_utmpx_session=no
11091fi 11085fi
11092rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11086rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11093fi 11087fi
11094echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx_session" >&5 11088echo "$as_me:$LINENO: result: $struct_utmpx_session" >&5
11095echo "${ECHO_T}$rxvt_cv_struct_utmpx_session" >&6 11089echo "${ECHO_T}$struct_utmpx_session" >&6
11096if test x$rxvt_cv_struct_utmpx_session = xyes; then 11090if test x$struct_utmpx_session = xyes; then
11097 11091
11098cat >>confdefs.h <<\_ACEOF 11092cat >>confdefs.h <<\_ACEOF
11099#define HAVE_UTMPX_SESSION 1 11093#define HAVE_UTMPX_SESSION 1
11100_ACEOF 11094_ACEOF
11101 11095
11104fi 11098fi
11105 11099
11106 11100
11107echo "$as_me:$LINENO: checking for struct lastlog" >&5 11101echo "$as_me:$LINENO: checking for struct lastlog" >&5
11108echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6 11102echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6
11109if test "${rxvt_cv_struct_lastlog+set}" = set; then 11103if test "${struct_lastlog+set}" = set; then
11110 echo $ECHO_N "(cached) $ECHO_C" >&6 11104 echo $ECHO_N "(cached) $ECHO_C" >&6
11111else 11105else
11112 cat >conftest.$ac_ext <<_ACEOF 11106 cat >conftest.$ac_ext <<_ACEOF
11113/* confdefs.h. */ 11107/* confdefs.h. */
11114_ACEOF 11108_ACEOF
11148 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11142 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11149 (eval $ac_try) 2>&5 11143 (eval $ac_try) 2>&5
11150 ac_status=$? 11144 ac_status=$?
11151 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11145 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11152 (exit $ac_status); }; }; then 11146 (exit $ac_status); }; }; then
11153 rxvt_cv_struct_lastlog=yes 11147 struct_lastlog=yes
11154else 11148else
11155 echo "$as_me: failed program was:" >&5 11149 echo "$as_me: failed program was:" >&5
11156sed 's/^/| /' conftest.$ac_ext >&5 11150sed 's/^/| /' conftest.$ac_ext >&5
11157 11151
11158rxvt_cv_struct_lastlog=no 11152struct_lastlog=no
11159fi 11153fi
11160rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11154rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11161fi 11155fi
11162echo "$as_me:$LINENO: result: $rxvt_cv_struct_lastlog" >&5 11156echo "$as_me:$LINENO: result: $struct_lastlog" >&5
11163echo "${ECHO_T}$rxvt_cv_struct_lastlog" >&6 11157echo "${ECHO_T}$struct_lastlog" >&6
11164if test x$rxvt_cv_struct_lastlog = xyes; then 11158if test x$struct_lastlog = xyes; then
11165 11159
11166cat >>confdefs.h <<\_ACEOF 11160cat >>confdefs.h <<\_ACEOF
11167#define HAVE_STRUCT_LASTLOG 1 11161#define HAVE_STRUCT_LASTLOG 1
11168_ACEOF 11162_ACEOF
11169 11163
11170fi 11164fi
11171 11165
11172echo "$as_me:$LINENO: checking for struct lastlogx" >&5 11166echo "$as_me:$LINENO: checking for struct lastlogx" >&5
11173echo $ECHO_N "checking for struct lastlogx... $ECHO_C" >&6 11167echo $ECHO_N "checking for struct lastlogx... $ECHO_C" >&6
11174if test "${rxvt_cv_struct_lastlogx+set}" = set; then 11168if test "${struct_lastlogx+set}" = set; then
11175 echo $ECHO_N "(cached) $ECHO_C" >&6 11169 echo $ECHO_N "(cached) $ECHO_C" >&6
11176else 11170else
11177 cat >conftest.$ac_ext <<_ACEOF 11171 cat >conftest.$ac_ext <<_ACEOF
11178/* confdefs.h. */ 11172/* confdefs.h. */
11179_ACEOF 11173_ACEOF
11213 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11207 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11214 (eval $ac_try) 2>&5 11208 (eval $ac_try) 2>&5
11215 ac_status=$? 11209 ac_status=$?
11216 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11210 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11217 (exit $ac_status); }; }; then 11211 (exit $ac_status); }; }; then
11218 rxvt_cv_struct_lastlogx=yes 11212 struct_lastlogx=yes
11219else 11213else
11220 echo "$as_me: failed program was:" >&5 11214 echo "$as_me: failed program was:" >&5
11221sed 's/^/| /' conftest.$ac_ext >&5 11215sed 's/^/| /' conftest.$ac_ext >&5
11222 11216
11223rxvt_cv_struct_lastlogx=no 11217struct_lastlogx=no
11224fi 11218fi
11225rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11219rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11226fi 11220fi
11227echo "$as_me:$LINENO: result: $rxvt_cv_struct_lastlogx" >&5 11221echo "$as_me:$LINENO: result: $struct_lastlogx" >&5
11228echo "${ECHO_T}$rxvt_cv_struct_lastlogx" >&6 11222echo "${ECHO_T}$struct_lastlogx" >&6
11229if test x$rxvt_cv_struct_lastlogx = xyes; then 11223if test x$struct_lastlogx = xyes; then
11230 11224
11231cat >>confdefs.h <<\_ACEOF 11225cat >>confdefs.h <<\_ACEOF
11232#define HAVE_STRUCT_LASTLOGX 1 11226#define HAVE_STRUCT_LASTLOGX 1
11233_ACEOF 11227_ACEOF
11234 11228
11235fi 11229fi
11236 11230
11237 11231
11238echo "$as_me:$LINENO: checking where utmp is located" >&5 11232echo "$as_me:$LINENO: checking where utmp is located" >&5
11239echo $ECHO_N "checking where utmp is located... $ECHO_C" >&6 11233echo $ECHO_N "checking where utmp is located... $ECHO_C" >&6
11240if test "${rxvt_cv_path_utmp+set}" = set; then 11234if test "${path_utmp+set}" = set; then
11241 echo $ECHO_N "(cached) $ECHO_C" >&6 11235 echo $ECHO_N "(cached) $ECHO_C" >&6
11242else 11236else
11243 if test "$cross_compiling" = yes; then 11237 if test "$cross_compiling" = yes; then
11244 { echo "$as_me:$LINENO: WARNING: Define RXVT_UTMP_FILE in config.h manually" >&5 11238 { echo "$as_me:$LINENO: WARNING: Define UTMP_FILE in config.h manually" >&5
11245echo "$as_me: WARNING: Define RXVT_UTMP_FILE in config.h manually" >&2;} 11239echo "$as_me: WARNING: Define UTMP_FILE in config.h manually" >&2;}
11246else 11240else
11247 cat >conftest.$ac_ext <<_ACEOF 11241 cat >conftest.$ac_ext <<_ACEOF
11248/* confdefs.h. */ 11242/* confdefs.h. */
11249_ACEOF 11243_ACEOF
11250cat confdefs.h >>conftest.$ac_ext 11244cat confdefs.h >>conftest.$ac_ext
11286 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11280 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11287 (eval $ac_try) 2>&5 11281 (eval $ac_try) 2>&5
11288 ac_status=$? 11282 ac_status=$?
11289 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11283 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11290 (exit $ac_status); }; }; then 11284 (exit $ac_status); }; }; then
11291 rxvt_cv_path_utmp=`cat conftestval` 11285 path_utmp=`cat conftestval`
11292else 11286else
11293 echo "$as_me: program exited with status $ac_status" >&5 11287 echo "$as_me: program exited with status $ac_status" >&5
11294echo "$as_me: failed program was:" >&5 11288echo "$as_me: failed program was:" >&5
11295sed 's/^/| /' conftest.$ac_ext >&5 11289sed 's/^/| /' conftest.$ac_ext >&5
11296 11290
11297( exit $ac_status ) 11291( exit $ac_status )
11298rxvt_cv_path_utmp= 11292path_utmp=
11299fi 11293fi
11300rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11294rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11301fi 11295fi
11302fi 11296fi
11303echo "$as_me:$LINENO: result: $rxvt_cv_path_utmp" >&5 11297echo "$as_me:$LINENO: result: $path_utmp" >&5
11304echo "${ECHO_T}$rxvt_cv_path_utmp" >&6 11298echo "${ECHO_T}$path_utmp" >&6
11305if test x$rxvt_cv_path_utmp != x; then 11299if test x$path_utmp != x; then
11306 11300
11307cat >>confdefs.h <<_ACEOF 11301cat >>confdefs.h <<_ACEOF
11308#define RXVT_UTMP_FILE "$rxvt_cv_path_utmp" 11302#define UTMP_FILE "$path_utmp"
11309_ACEOF 11303_ACEOF
11310 11304
11311fi 11305fi
11312 11306
11313 11307
11314echo "$as_me:$LINENO: checking where utmpx is located" >&5 11308echo "$as_me:$LINENO: checking where utmpx is located" >&5
11315echo $ECHO_N "checking where utmpx is located... $ECHO_C" >&6 11309echo $ECHO_N "checking where utmpx is located... $ECHO_C" >&6
11316if test "${rxvt_cv_path_utmpx+set}" = set; then 11310if test "${path_utmpx+set}" = set; then
11317 echo $ECHO_N "(cached) $ECHO_C" >&6 11311 echo $ECHO_N "(cached) $ECHO_C" >&6
11318else 11312else
11319 if test "$cross_compiling" = yes; then 11313 if test "$cross_compiling" = yes; then
11320 { echo "$as_me:$LINENO: WARNING: Define RXVT_UTMPX_FILE in config.h manually" >&5 11314 { echo "$as_me:$LINENO: WARNING: Define UTMPX_FILE in config.h manually" >&5
11321echo "$as_me: WARNING: Define RXVT_UTMPX_FILE in config.h manually" >&2;} 11315echo "$as_me: WARNING: Define UTMPX_FILE in config.h manually" >&2;}
11322else 11316else
11323 cat >conftest.$ac_ext <<_ACEOF 11317 cat >conftest.$ac_ext <<_ACEOF
11324/* confdefs.h. */ 11318/* confdefs.h. */
11325_ACEOF 11319_ACEOF
11326cat confdefs.h >>conftest.$ac_ext 11320cat confdefs.h >>conftest.$ac_ext
11372 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11366 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11373 (eval $ac_try) 2>&5 11367 (eval $ac_try) 2>&5
11374 ac_status=$? 11368 ac_status=$?
11375 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11369 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11376 (exit $ac_status); }; }; then 11370 (exit $ac_status); }; }; then
11377 rxvt_cv_path_utmpx=`cat conftestval` 11371 path_utmpx=`cat conftestval`
11378else 11372else
11379 echo "$as_me: program exited with status $ac_status" >&5 11373 echo "$as_me: program exited with status $ac_status" >&5
11380echo "$as_me: failed program was:" >&5 11374echo "$as_me: failed program was:" >&5
11381sed 's/^/| /' conftest.$ac_ext >&5 11375sed 's/^/| /' conftest.$ac_ext >&5
11382 11376
11383( exit $ac_status ) 11377( exit $ac_status )
11384rxvt_cv_path_utmpx= 11378path_utmpx=
11385fi 11379fi
11386rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11380rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11387fi 11381fi
11388fi 11382fi
11389echo "$as_me:$LINENO: result: $rxvt_cv_path_utmpx" >&5 11383echo "$as_me:$LINENO: result: $path_utmpx" >&5
11390echo "${ECHO_T}$rxvt_cv_path_utmpx" >&6 11384echo "${ECHO_T}$path_utmpx" >&6
11391if test x$rxvt_cv_path_utmpx != x; then 11385if test x$path_utmpx != x; then
11392 11386
11393cat >>confdefs.h <<_ACEOF 11387cat >>confdefs.h <<_ACEOF
11394#define RXVT_UTMPX_FILE "$rxvt_cv_path_utmpx" 11388#define UTMPX_FILE "$path_utmpx"
11395_ACEOF 11389_ACEOF
11396 11390
11397fi 11391fi
11398 11392
11399 11393
11400echo "$as_me:$LINENO: checking where wtmp is located" >&5 11394echo "$as_me:$LINENO: checking where wtmp is located" >&5
11401echo $ECHO_N "checking where wtmp is located... $ECHO_C" >&6 11395echo $ECHO_N "checking where wtmp is located... $ECHO_C" >&6
11402if test "${rxvt_cv_path_wtmp+set}" = set; then 11396if test "${path_wtmp+set}" = set; then
11403 echo $ECHO_N "(cached) $ECHO_C" >&6 11397 echo $ECHO_N "(cached) $ECHO_C" >&6
11404else 11398else
11405 if test "$cross_compiling" = yes; then 11399 if test "$cross_compiling" = yes; then
11406 { echo "$as_me:$LINENO: WARNING: Define RXVT_WTMP_FILE in config.h manually" >&5 11400 { echo "$as_me:$LINENO: WARNING: Define WTMP_FILE in config.h manually" >&5
11407echo "$as_me: WARNING: Define RXVT_WTMP_FILE in config.h manually" >&2;} 11401echo "$as_me: WARNING: Define WTMP_FILE in config.h manually" >&2;}
11408else 11402else
11409 cat >conftest.$ac_ext <<_ACEOF 11403 cat >conftest.$ac_ext <<_ACEOF
11410/* confdefs.h. */ 11404/* confdefs.h. */
11411_ACEOF 11405_ACEOF
11412cat confdefs.h >>conftest.$ac_ext 11406cat confdefs.h >>conftest.$ac_ext
11450 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11444 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11451 (eval $ac_try) 2>&5 11445 (eval $ac_try) 2>&5
11452 ac_status=$? 11446 ac_status=$?
11453 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11447 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11454 (exit $ac_status); }; }; then 11448 (exit $ac_status); }; }; then
11455 rxvt_cv_path_wtmp=`cat conftestval` 11449 path_wtmp=`cat conftestval`
11456else 11450else
11457 echo "$as_me: program exited with status $ac_status" >&5 11451 echo "$as_me: program exited with status $ac_status" >&5
11458echo "$as_me: failed program was:" >&5 11452echo "$as_me: failed program was:" >&5
11459sed 's/^/| /' conftest.$ac_ext >&5 11453sed 's/^/| /' conftest.$ac_ext >&5
11460 11454
11461( exit $ac_status ) 11455( exit $ac_status )
11462rxvt_cv_path_wtmp= 11456path_wtmp=
11463fi 11457fi
11464rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11458rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11465fi 11459fi
11466fi 11460fi
11467echo "$as_me:$LINENO: result: $rxvt_cv_path_wtmp" >&5 11461echo "$as_me:$LINENO: result: $path_wtmp" >&5
11468echo "${ECHO_T}$rxvt_cv_path_wtmp" >&6 11462echo "${ECHO_T}$path_wtmp" >&6
11469if test x$rxvt_cv_path_wtmp != x; then 11463if test x$path_wtmp != x; then
11470 11464
11471cat >>confdefs.h <<_ACEOF 11465cat >>confdefs.h <<_ACEOF
11472#define RXVT_WTMP_FILE "$rxvt_cv_path_wtmp" 11466#define WTMP_FILE "$path_wtmp"
11473_ACEOF 11467_ACEOF
11474 11468
11475fi 11469fi
11476 11470
11477echo "$as_me:$LINENO: checking where wtmpx is located" >&5 11471echo "$as_me:$LINENO: checking where wtmpx is located" >&5
11478echo $ECHO_N "checking where wtmpx is located... $ECHO_C" >&6 11472echo $ECHO_N "checking where wtmpx is located... $ECHO_C" >&6
11479if test "${rxvt_cv_path_wtmpx+set}" = set; then 11473if test "${path_wtmpx+set}" = set; then
11480 echo $ECHO_N "(cached) $ECHO_C" >&6 11474 echo $ECHO_N "(cached) $ECHO_C" >&6
11481else 11475else
11482 if test "$cross_compiling" = yes; then 11476 if test "$cross_compiling" = yes; then
11483 { echo "$as_me:$LINENO: WARNING: Define RXVT_WTMPX_FILE in config.h manually" >&5 11477 { echo "$as_me:$LINENO: WARNING: Define WTMPX_FILE in config.h manually" >&5
11484echo "$as_me: WARNING: Define RXVT_WTMPX_FILE in config.h manually" >&2;} 11478echo "$as_me: WARNING: Define WTMPX_FILE in config.h manually" >&2;}
11485else 11479else
11486 cat >conftest.$ac_ext <<_ACEOF 11480 cat >conftest.$ac_ext <<_ACEOF
11487/* confdefs.h. */ 11481/* confdefs.h. */
11488_ACEOF 11482_ACEOF
11489cat confdefs.h >>conftest.$ac_ext 11483cat confdefs.h >>conftest.$ac_ext
11526 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11520 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11527 (eval $ac_try) 2>&5 11521 (eval $ac_try) 2>&5
11528 ac_status=$? 11522 ac_status=$?
11529 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11523 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11530 (exit $ac_status); }; }; then 11524 (exit $ac_status); }; }; then
11531 rxvt_cv_path_wtmpx=`cat conftestval` 11525 path_wtmpx=`cat conftestval`
11532else 11526else
11533 echo "$as_me: program exited with status $ac_status" >&5 11527 echo "$as_me: program exited with status $ac_status" >&5
11534echo "$as_me: failed program was:" >&5 11528echo "$as_me: failed program was:" >&5
11535sed 's/^/| /' conftest.$ac_ext >&5 11529sed 's/^/| /' conftest.$ac_ext >&5
11536 11530
11537( exit $ac_status ) 11531( exit $ac_status )
11538rxvt_cv_path_wtmpx= 11532path_wtmpx=
11539fi 11533fi
11540rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11534rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11541fi 11535fi
11542fi 11536fi
11543echo "$as_me:$LINENO: result: $rxvt_cv_path_wtmpx" >&5 11537echo "$as_me:$LINENO: result: $path_wtmpx" >&5
11544echo "${ECHO_T}$rxvt_cv_path_wtmpx" >&6 11538echo "${ECHO_T}$path_wtmpx" >&6
11545if test x$rxvt_cv_path_wtmpx != x; then 11539if test x$path_wtmpx != x; then
11546 11540
11547cat >>confdefs.h <<_ACEOF 11541cat >>confdefs.h <<_ACEOF
11548#define RXVT_WTMPX_FILE "$rxvt_cv_path_wtmpx" 11542#define WTMPX_FILE "$path_wtmpx"
11549_ACEOF 11543_ACEOF
11550 11544
11551fi 11545fi
11552 11546
11553echo "$as_me:$LINENO: checking where lastlog is located" >&5 11547echo "$as_me:$LINENO: checking where lastlog is located" >&5
11554echo $ECHO_N "checking where lastlog is located... $ECHO_C" >&6 11548echo $ECHO_N "checking where lastlog is located... $ECHO_C" >&6
11555if test "${rxvt_cv_path_lastlog+set}" = set; then 11549if test "${path_lastlog+set}" = set; then
11556 echo $ECHO_N "(cached) $ECHO_C" >&6 11550 echo $ECHO_N "(cached) $ECHO_C" >&6
11557else 11551else
11558 if test "$cross_compiling" = yes; then 11552 if test "$cross_compiling" = yes; then
11559 { echo "$as_me:$LINENO: WARNING: Define RXVT_LASTLOG_FILE in config.h manually" >&5 11553 { echo "$as_me:$LINENO: WARNING: Define LASTLOG_FILE in config.h manually" >&5
11560echo "$as_me: WARNING: Define RXVT_LASTLOG_FILE in config.h manually" >&2;} 11554echo "$as_me: WARNING: Define LASTLOG_FILE in config.h manually" >&2;}
11561else 11555else
11562 cat >conftest.$ac_ext <<_ACEOF 11556 cat >conftest.$ac_ext <<_ACEOF
11563/* confdefs.h. */ 11557/* confdefs.h. */
11564_ACEOF 11558_ACEOF
11565cat confdefs.h >>conftest.$ac_ext 11559cat confdefs.h >>conftest.$ac_ext
11607 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11601 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11608 (eval $ac_try) 2>&5 11602 (eval $ac_try) 2>&5
11609 ac_status=$? 11603 ac_status=$?
11610 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11604 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11611 (exit $ac_status); }; }; then 11605 (exit $ac_status); }; }; then
11612 rxvt_cv_path_lastlog=`cat conftestval` 11606 path_lastlog=`cat conftestval`
11613else 11607else
11614 echo "$as_me: program exited with status $ac_status" >&5 11608 echo "$as_me: program exited with status $ac_status" >&5
11615echo "$as_me: failed program was:" >&5 11609echo "$as_me: failed program was:" >&5
11616sed 's/^/| /' conftest.$ac_ext >&5 11610sed 's/^/| /' conftest.$ac_ext >&5
11617 11611
11618( exit $ac_status ) 11612( exit $ac_status )
11619rxvt_cv_path_lastlog= 11613path_lastlog=
11620fi 11614fi
11621rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11615rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11622fi 11616fi
11623fi 11617fi
11624echo "$as_me:$LINENO: result: $rxvt_cv_path_lastlog" >&5 11618echo "$as_me:$LINENO: result: $path_lastlog" >&5
11625echo "${ECHO_T}$rxvt_cv_path_lastlog" >&6 11619echo "${ECHO_T}$path_lastlog" >&6
11626if test x$rxvt_cv_path_lastlog != x; then 11620if test x$path_lastlog != x; then
11627 11621
11628cat >>confdefs.h <<_ACEOF 11622cat >>confdefs.h <<_ACEOF
11629#define RXVT_LASTLOG_FILE "$rxvt_cv_path_lastlog" 11623#define LASTLOG_FILE "$path_lastlog"
11630_ACEOF 11624_ACEOF
11631 11625
11632 if test -d "$rxvt_cv_path_lastlog"; then 11626 if test -d "$path_lastlog"; then
11633 11627
11634cat >>confdefs.h <<\_ACEOF 11628cat >>confdefs.h <<\_ACEOF
11635#define LASTLOG_IS_DIR 1 11629#define LASTLOG_IS_DIR 1
11636_ACEOF 11630_ACEOF
11637 11631
11638 fi 11632 fi
11639fi 11633fi
11640 11634
11641echo "$as_me:$LINENO: checking where lastlogx is located" >&5 11635echo "$as_me:$LINENO: checking where lastlogx is located" >&5
11642echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6 11636echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6
11643if test "${rxvt_cv_path_lastlogx+set}" = set; then 11637if test "${path_lastlogx+set}" = set; then
11644 echo $ECHO_N "(cached) $ECHO_C" >&6 11638 echo $ECHO_N "(cached) $ECHO_C" >&6
11645else 11639else
11646 if test "$cross_compiling" = yes; then 11640 if test "$cross_compiling" = yes; then
11647 { echo "$as_me:$LINENO: WARNING: Define RXVT_LASTLOGX_FILE in config.h manually" >&5 11641 { echo "$as_me:$LINENO: WARNING: Define LASTLOGX_FILE in config.h manually" >&5
11648echo "$as_me: WARNING: Define RXVT_LASTLOGX_FILE in config.h manually" >&2;} 11642echo "$as_me: WARNING: Define LASTLOGX_FILE in config.h manually" >&2;}
11649else 11643else
11650 cat >conftest.$ac_ext <<_ACEOF 11644 cat >conftest.$ac_ext <<_ACEOF
11651/* confdefs.h. */ 11645/* confdefs.h. */
11652_ACEOF 11646_ACEOF
11653cat confdefs.h >>conftest.$ac_ext 11647cat confdefs.h >>conftest.$ac_ext
11689 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11683 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11690 (eval $ac_try) 2>&5 11684 (eval $ac_try) 2>&5
11691 ac_status=$? 11685 ac_status=$?
11692 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11686 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11693 (exit $ac_status); }; }; then 11687 (exit $ac_status); }; }; then
11694 rxvt_cv_path_lastlogx=`cat conftestval` 11688 path_lastlogx=`cat conftestval`
11695else 11689else
11696 echo "$as_me: program exited with status $ac_status" >&5 11690 echo "$as_me: program exited with status $ac_status" >&5
11697echo "$as_me: failed program was:" >&5 11691echo "$as_me: failed program was:" >&5
11698sed 's/^/| /' conftest.$ac_ext >&5 11692sed 's/^/| /' conftest.$ac_ext >&5
11699 11693
11700( exit $ac_status ) 11694( exit $ac_status )
11701rxvt_cv_path_lastlogx= 11695path_lastlogx=
11702fi 11696fi
11703rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11697rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11704fi 11698fi
11705fi 11699fi
11706echo "$as_me:$LINENO: result: $rxvt_cv_path_lastlogx" >&5 11700echo "$as_me:$LINENO: result: $path_lastlogx" >&5
11707echo "${ECHO_T}$rxvt_cv_path_lastlogx" >&6 11701echo "${ECHO_T}$path_lastlogx" >&6
11708if test x$rxvt_cv_path_lastlogx != x; then 11702if test x$path_lastlogx != x; then
11709 11703
11710cat >>confdefs.h <<_ACEOF 11704cat >>confdefs.h <<_ACEOF
11711#define RXVT_LASTLOGX_FILE "$rxvt_cv_path_lastlogx" 11705#define LASTLOGX_FILE "$path_lastlogx"
11712_ACEOF 11706_ACEOF
11713 11707
11714fi 11708fi
11715 11709
11716 11710
11987#define HAVE_NL_LANGINFO 1 11981#define HAVE_NL_LANGINFO 1
11988_ACEOF 11982_ACEOF
11989 11983
11990fi 11984fi
11991 11985
11986
11992echo "$as_me:$LINENO: checking for unix-compliant filehandle passing ability" >&5 11987echo "$as_me:$LINENO: checking for unix-compliant filehandle passing ability" >&5
11993echo $ECHO_N "checking for unix-compliant filehandle passing ability... $ECHO_C" >&6 11988echo $ECHO_N "checking for unix-compliant filehandle passing ability... $ECHO_C" >&6
11994if test "${rxvt_can_pass_fds+set}" = set; then 11989if test "${can_pass_fds+set}" = set; then
11995 echo $ECHO_N "(cached) $ECHO_C" >&6 11990 echo $ECHO_N "(cached) $ECHO_C" >&6
11996else 11991else
11997 cat >conftest.$ac_ext <<_ACEOF 11992 cat >conftest.$ac_ext <<_ACEOF
11998/* confdefs.h. */ 11993/* confdefs.h. */
11999_ACEOF 11994_ACEOF
12000cat confdefs.h >>conftest.$ac_ext 11995cat confdefs.h >>conftest.$ac_ext
12001cat >>conftest.$ac_ext <<_ACEOF 11996cat >>conftest.$ac_ext <<_ACEOF
12002/* end confdefs.h. */ 11997/* end confdefs.h. */
12003 11998
11999#include <cstddef> // broken bsds (is that redundant) need this
12004#include <sys/types.h> 12000#include <sys/types.h>
12005#include <sys/socket.h> 12001#include <sys/socket.h>
12002#include <sys/uio.h>
12006 12003
12007int 12004int
12008main () 12005main ()
12009{ 12006{
12010 12007
12055 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 12052 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12056 (eval $ac_try) 2>&5 12053 (eval $ac_try) 2>&5
12057 ac_status=$? 12054 ac_status=$?
12058 echo "$as_me:$LINENO: \$? = $ac_status" >&5 12055 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12059 (exit $ac_status); }; }; then 12056 (exit $ac_status); }; }; then
12060 rxvt_can_pass_fds=yes 12057 can_pass_fds=yes
12061else 12058else
12062 echo "$as_me: failed program was:" >&5 12059 echo "$as_me: failed program was:" >&5
12063sed 's/^/| /' conftest.$ac_ext >&5 12060sed 's/^/| /' conftest.$ac_ext >&5
12064 12061
12065rxvt_can_pass_fds=no 12062can_pass_fds=no
12066fi 12063fi
12067rm -f conftest.err conftest.$ac_objext \ 12064rm -f conftest.err conftest.$ac_objext \
12068 conftest$ac_exeext conftest.$ac_ext 12065 conftest$ac_exeext conftest.$ac_ext
12069fi 12066fi
12070echo "$as_me:$LINENO: result: $rxvt_can_pass_fds" >&5 12067echo "$as_me:$LINENO: result: $can_pass_fds" >&5
12071echo "${ECHO_T}$rxvt_can_pass_fds" >&6 12068echo "${ECHO_T}$can_pass_fds" >&6
12072if test x$rxvt_can_pass_fds = xyes; then 12069if test x$can_pass_fds = xyes; then
12073 12070
12074cat >>confdefs.h <<\_ACEOF 12071cat >>confdefs.h <<\_ACEOF
12075#define HAVE_UNIX_FDPASS 1 12072#define HAVE_UNIX_FDPASS 1
12076_ACEOF 12073_ACEOF
12077 12074
12078else 12075else
12079 { { echo "$as_me:$LINENO: error: urxvt requires unix-compliant filehandle passing ability" >&5 12076 { { echo "$as_me:$LINENO: error: libptytty requires unix-compliant filehandle passing ability" >&5
12080echo "$as_me: error: urxvt requires unix-compliant filehandle passing ability" >&2;} 12077echo "$as_me: error: libptytty requires unix-compliant filehandle passing ability" >&2;}
12081 { (exit 1); exit 1; }; } 12078 { (exit 1); exit 1; }; }
12082fi 12079fi
12080
12083 12081
12084echo "$as_me:$LINENO: checking for broken XIM callback" >&5 12082echo "$as_me:$LINENO: checking for broken XIM callback" >&5
12085echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6 12083echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6
12086if test "${rxvt_broken_ximcb+set}" = set; then 12084if test "${rxvt_broken_ximcb+set}" = set; then
12087 echo $ECHO_N "(cached) $ECHO_C" >&6 12085 echo $ECHO_N "(cached) $ECHO_C" >&6
12722 12720
12723fi 12721fi
12724 12722
12725 12723
12726if test x$support_xft = xyes; then 12724if test x$support_xft = xyes; then
12727 LIBS="$LIBS `pkg-config xft --libs`" 12725 # Extract the first word of "pkg-config", so it can be a program name with args.
12726set dummy pkg-config; ac_word=$2
12727echo "$as_me:$LINENO: checking for $ac_word" >&5
12728echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12729if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
12730 echo $ECHO_N "(cached) $ECHO_C" >&6
12731else
12732 case $PKG_CONFIG in
12733 [\\/]* | ?:[\\/]*)
12734 ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
12735 ;;
12736 *)
12737 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12738for as_dir in $PATH
12739do
12740 IFS=$as_save_IFS
12741 test -z "$as_dir" && as_dir=.
12742 for ac_exec_ext in '' $ac_executable_extensions; do
12743 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12744 ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
12745 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12746 break 2
12747 fi
12748done
12749done
12750
12751 test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
12752 ;;
12753esac
12754fi
12755PKG_CONFIG=$ac_cv_path_PKG_CONFIG
12756
12757if test -n "$PKG_CONFIG"; then
12758 echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
12759echo "${ECHO_T}$PKG_CONFIG" >&6
12760else
12761 echo "$as_me:$LINENO: result: no" >&5
12762echo "${ECHO_T}no" >&6
12763fi
12764
12765 # Extract the first word of "xft-config", so it can be a program name with args.
12766set dummy xft-config; ac_word=$2
12767echo "$as_me:$LINENO: checking for $ac_word" >&5
12768echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12769if test "${ac_cv_path_XFT_CONFIG+set}" = set; then
12770 echo $ECHO_N "(cached) $ECHO_C" >&6
12771else
12772 case $XFT_CONFIG in
12773 [\\/]* | ?:[\\/]*)
12774 ac_cv_path_XFT_CONFIG="$XFT_CONFIG" # Let the user override the test with a path.
12775 ;;
12776 *)
12777 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12778for as_dir in $PATH
12779do
12780 IFS=$as_save_IFS
12781 test -z "$as_dir" && as_dir=.
12782 for ac_exec_ext in '' $ac_executable_extensions; do
12783 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12784 ac_cv_path_XFT_CONFIG="$as_dir/$ac_word$ac_exec_ext"
12785 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12786 break 2
12787 fi
12788done
12789done
12790
12791 test -z "$ac_cv_path_XFT_CONFIG" && ac_cv_path_XFT_CONFIG="no"
12792 ;;
12793esac
12794fi
12795XFT_CONFIG=$ac_cv_path_XFT_CONFIG
12796
12797if test -n "$XFT_CONFIG"; then
12798 echo "$as_me:$LINENO: result: $XFT_CONFIG" >&5
12799echo "${ECHO_T}$XFT_CONFIG" >&6
12800else
12801 echo "$as_me:$LINENO: result: no" >&5
12802echo "${ECHO_T}no" >&6
12803fi
12804
12805 if test $PKG_CONFIG != no && $PKG_CONFIG --exists xft; then
12806 LIBS="$LIBS `$PKG_CONFIG xft --libs`"
12728 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 12807 CPPFLAGS="$CPPFLAGS `$PKG_CONFIG xft --cflags`"
12808 else
12809 if test $XFT_CONFIG != no; then
12810 LIBS="$LIBS `$XFT_CONFIG --libs`"
12811 CPPFLAGS="$CPPFLAGS `$XFT_CONFIG --cflags`"
12812 fi
12813 fi
12729 12814
12730 12815
12731for ac_header in X11/Xft/Xft.h 12816for ac_header in X11/Xft/Xft.h
12732do 12817do
12733as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 12818as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
14137s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t 14222s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t
14138s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t 14223s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t
14139s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t 14224s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t
14140s,@rxvt_intp_define@,$rxvt_intp_define,;t t 14225s,@rxvt_intp_define@,$rxvt_intp_define,;t t
14141s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t 14226s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t
14227s,@PKG_CONFIG@,$PKG_CONFIG,;t t
14228s,@XFT_CONFIG@,$XFT_CONFIG,;t t
14142s,@PERL@,$PERL,;t t 14229s,@PERL@,$PERL,;t t
14143s,@PERLLIB@,$PERLLIB,;t t 14230s,@PERLLIB@,$PERLLIB,;t t
14144s,@PERLFLAGS@,$PERLFLAGS,;t t 14231s,@PERLFLAGS@,$PERLFLAGS,;t t
14145s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t 14232s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t
14146s,@IF_PERL@,$IF_PERL,;t t 14233s,@IF_PERL@,$IF_PERL,;t t
14677 14764
14678if test x$support_xpm = xyes; then 14765if test x$support_xpm = xyes; then
14679 echo " Xpm library: $XPM_LIBS" 14766 echo " Xpm library: $XPM_LIBS"
14680fi 14767fi
14681 14768
14682echo "
14683The following are set in config.h
14684"
14685if test x$support_utmp != xyes; then 14769if test x$support_utmp != xyes; then
14686 echo " utmp support: disabled" 14770 echo " utmp support: disabled"
14687 echo 14771 echo
14688else 14772else
14689 echo " utmp support: enabled 14773 echo " utmp support: enabled
14690 utmp file: $rxvt_cv_path_utmp 14774 utmp file: $path_utmp
14691 utmpx file: $rxvt_cv_path_utmpx 14775 utmpx file: $path_utmpx
14692 wtmp file: $rxvt_cv_path_wtmp 14776 wtmp file: $path_wtmp
14693 wtmpx file: $rxvt_cv_path_wtmpx 14777 wtmpx file: $path_wtmpx
14694 lastlog file: $rxvt_cv_path_lastlog 14778 lastlog file: $path_lastlog
14695 ttys/ttytab file: $rxvt_cv_path_ttytab 14779 lastlogx file: $path_lastlogx"
14696 embedded perl: $support_perl"
14697 echo
14698fi 14780fi
14699if test x$term != x; then 14781if test x$term != x; then
14700 echo " set TERM to: $term" 14782 echo " set TERM to: $term"
14701fi 14783fi
14702if test x$terminfo != x; then 14784if test x$terminfo != x; then
14705echo " default resource name: $RESNAME" 14787echo " default resource name: $RESNAME"
14706echo " resource class: $RESCLASS" 14788echo " resource class: $RESCLASS"
14707if test x$RESFALLBACK != x; then 14789if test x$RESFALLBACK != x; then
14708 echo " resource class fallback: $RESFALLBACK" 14790 echo " resource class fallback: $RESFALLBACK"
14709fi 14791fi
14792echo
14793echo " embedded perl: $support_perl"
14710echo 14794echo
14711if test x$support_xpm = xneedsmanualspecification; then 14795if test x$support_xpm = xneedsmanualspecification; then
14712 echo ".----------------------------------------------------------------." 14796 echo ".----------------------------------------------------------------."
14713 echo ". WARNING: --enable-xpm-background was specified however the ." 14797 echo ". WARNING: --enable-xpm-background was specified however the ."
14714 echo ". XPM includes files and libraries could not be found. ." 14798 echo ". XPM includes files and libraries could not be found. ."

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines